<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8"/>
<title>Test local klipse for Python</title>
<meta name="author" content="Jens Lechtenbörger"/>
<style type="text/css">
.underline { text-decoration: underline; }
</style>
<link rel="stylesheet" href="./reveal.js/css/reveal.css"/>

<link rel="stylesheet" href="./reveal.js/css/theme/black.css" id="theme"/>
<link rel="stylesheet" href="./reveal.js/plugin/klipse/codemirror.css"/>
<style>
/* Position computations of klipse get confused by reveal.js's scaling.
   Hence, scaling should be disabled with this code.  Fix height of code area
   with scrollbar (use overflow instead of overflow-y to restore CodeMirror
   setting afterwards): */
.reveal section pre { max-height: 70vh; height: auto; overflow: auto; }
/* Reset some reveal.js and oer-reveal settings: */
.reveal section pre .CodeMirror pre { font-size: 2em; box-shadow: none; width: auto; padding: 0.4em; display: block; overflow: visible; }
/* Enlarge cursor: */
.CodeMirror-cursor { border-left: 3px solid black; }
</style>
<script>
    window.klipse_settings = {
scripts_root: './reveal.js/plugin/klipse',
codemirror_root: './reveal.js/plugin/klipse',
        selector_eval_python_client: '.language-klipse-python'
    };
</script>

<!-- If the query includes 'print-pdf', include the PDF print sheet -->
<script>
    if( window.location.search.match( /print-pdf/gi ) ) {
        var link = document.createElement( 'link' );
        link.rel = 'stylesheet';
        link.type = 'text/css';
        link.href = './reveal.js/css/print/pdf.css';
        document.getElementsByTagName( 'head' )[0].appendChild( link );
    }
</script>
</head>
<body>
<div class="reveal">
<div class="slides">
<section id="sec-title-slide">
<h1 class="title">Test local klipse for Python</h1><h2 class="author">Jens Lechtenbörger</h2><p class="date">Created:{{date}}</p>
</section>

<section>
<section id="slide-1">
<h2 id="1"><span class="section-number-2">1</span> Note</h2>
<ul>
<li>This is meant for self-contained presentations, suitable for
offline use, where CSS and JavaScript for klipse are present in a
plugin folder of reveal.js</li>
<li>The header of this presentation sets up klipse only for Python</li>

</ul>

</section>
<section id="slide-1-1">
<h3 id="1-1"><span class="section-number-3">1.1</span> Python, klipsified</h3>
<pre><code class="language-klipse-python" >
<span style="font-weight: bold;">def</span> <span style="font-weight: bold;">factorial</span>(n):
    <span style="font-weight: bold;">if</span> n &lt; 2:
        <span style="font-weight: bold;">return</span> 1
    <span style="font-weight: bold;">else</span>:
        <span style="font-weight: bold;">return</span> n * factorial(n - 1)

<span style="font-weight: bold;">print</span>(factorial(10))
</code></pre>

</section>
<section id="slide-1-2">
<h3 id="1-2"><span class="section-number-3">1.2</span> Clojure, not klipsified</h3>
<div class="org-src-container">

<pre class="src src-clojure">(defn greet [person]
  (str "Hello " person))
(map greet ["Alice" "Bob" "Carol"])
</pre>
</div>
</section>
</section>
</div>
</div>
<script src="./reveal.js/lib/js/head.min.js"></script>
<script src="./reveal.js/js/reveal.js"></script>
<script>
// Full list of configuration options available here:
// https://github.com/hakimel/reveal.js#configuration
Reveal.initialize({

controls: true,
progress: true,
history: false,
center: true,
slideNumber: 'c',
rollingLinks: false,
keyboard: true,
mouseWheel: false,
fragmentInURL: false,
hashOneBasedIndex: false,
pdfSeparateFragments: true,
overview: true,
width: 1400,
height: 1000,
minScale: 1.00,
maxScale: 1.00,

theme: Reveal.getQueryHash().theme, // available themes are in /css/theme
transition: Reveal.getQueryHash().transition || 'convex', // see README of reveal.js for options
transitionSpeed: 'default',

// Optional libraries used to extend reveal.js
dependencies: [
 { src: './reveal.js/plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
 { src: './reveal.js/plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
 { src: './reveal.js/plugin/notes/notes.js', async: true, condition: function() { return !!document.body.classList; } },
 { src: './reveal.js/plugin/search/search.js', async: true, condition: function() { return !!document.body.classList; } },
 { src: './reveal.js/plugin/zoom-js/zoom.js', async: true, condition: function() { return !!document.body.classList; } }]

});
</script>
<script src="./reveal.js/plugin/klipse/klipse_plugin.js"></script>
<script>
/* Recompute layout upon changes by klipse.  Code fragment from
   asciidoctor-revealjs-klipse by Timothy Pratley under GPLv3:
   https://github.com/timothypratley/asciidoctor-revealjs-klipse/blob/master/docs/docinfo-footer.html */
Reveal.addEventListener( 'slidechanged', function( event ) {
    window.dispatchEvent( new Event('resize') );
} );
</script>
</body>
</html>
